# ---
#
# ## applications
#
# nginx_installation_type: "packages"
# nginx_passenger: True
# nginx_module_fancyindex: False
# nginx_max_clients: 40000
# nginx_worker_rlimit_nofile: 40000
#
#
# nginx_configs:
#   proxy:
#     - proxy_http_version 1.1
#     - proxy_set_header Upgrade $http_upgrade
#     - proxy_set_header Connection upgrade
#     - proxy_set_header Host $http_host
#     - proxy_set_header X-Forwarded-Proto $scheme
#     - proxy_set_header X-Forwarded-For $remote_addr
#     - proxy_set_header X-Forwarded-Port $server_port
#     - proxy_set_header X-Request-Start $msec
#   gzip:
#     - gzip on
#     - gzip_min_length  1100
#     - gzip_buffers  4 32k
#     - gzip_types    text/css text/javascript text/xml text/plain text/x-component application/javascript application/x-javascript application/json application/xml  application/rss+xml font/truetype application/x-font-ttf font/opentype application/vnd.ms-fontobject image/svg+xml image/png image/gif image/jpeg
#     - gzip_vary on
#     - gzip_http_version 1.1
#     - gzip_comp_level  9
#     - gzip_disable "MSIE [1-6]\.(?!.*SV1)"
#
# nginx_sites:
#   00_default:
#     - listen 80 default_server
#     - server_name _
#     - root "/usr/share/nginx/html"
#     - index index.html
#     - autoindex on
#
# nginx_remove_sites:
#   01_archivebox:
#     - listen 8088
#     - server_name _
#     - root "/mnt/usb/archivebox/data"
#     - location / { try_files $uri $uri/ =404; }
#
# login:
#   auto: True
#   shell: True
#   lightdm: False
#
# nvidia: True
#
# repo:
#   cachy: True
#   chaotic: False
#
# kernel:
#   zen: False
#   rt: False
#
docker:
  service:
    enabled: True
#
# install:
#   docker: True
#   pulsar: True
#   vscode: False
#   input_remapper: True
#
# barrier:
#   server: "tinybot"
#   client: True
#
# desktop:
#   terminal: "kitty"
#   terminal_alt: "alacritty"
#   browser: "google-chrome-stable"
#
# ohmyzsh:
#   theme: kphoen
#
# devices:
#   dicatphone_powermicII: "Dictaphone Corporation PowerMicII-NS"
#   logitech_mouse_g403: "Logitech G403 HERO Gaming Mouse"
#   daskeyboard: "daskeyboard"
#
# i3:
#   autostart:
#     # - "jacktrip -s -n 4 -q auto -b 24 -D --udprt"
#     # - "/usr/bin/barriers -f --debug INFO --name ninjabot --disable-crypto --disable-client-cert-checking -c ~/.config/Debauchee/ninjabot.conf --address :24800"
#     - "/usr/bin/barrierc -f --no-tray --debug INFO --name ninjabot --disable-crypto [tinybot]:24800"
#     # - "terminator"
#     # - "pulsar &"
#     # - "obsidian &"
#   tray_output: "primary"
#   assignments: ''
#   workspaces: ''
#     # - "$ws1 output DVI-D-0"
#     # - "$ws2 output DVI-D-0"
#     # - "$ws3 output DVI-D-0"
#     # - "$ws4 output DVI-D-0"
#     # - "$ws5 output DVI-D-0"
#     # - "$ws6 output DVI-I-1"
#     # - "$ws7 output DVI-I-1"
#     # - "$ws8 output DVI-I-1"
#     # - "$ws9 output DVI-I-1"
#     # - "$ws10 output DVI-I-1"
